> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get an environment's forks

GET https://api.getpostman.com/environments/{environmentId}/forks

Gets all of an environment's forked environments.

Reference: https://learning.postman.com/api-docs/api-reference/environments/get-environment-forks

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /environments/{environmentId}/forks:
    get:
      operationId: getEnvironmentForks
      summary: Get an environment's forks
      description: Gets all of an environment's forked environments.
      tags:
        - environments
      parameters:
        - name: environmentId
          in: path
          description: The environment's unique ID.
          required: true
          schema:
            $ref: '#/components/schemas/environmentUid'
        - name: cursor
          in: query
          description: >-
            The pointer to the first record of the set of paginated results. To
            view the next response, use the `nextCursor` value for this
            parameter.
          required: false
          schema:
            $ref: '#/components/schemas/cursor'
        - name: direction
          in: query
          description: Sort results in ascending (`asc`) or descending (`desc`) order.
          required: false
          schema:
            $ref: '#/components/schemas/ascDesc'
        - name: limit
          in: query
          description: The maximum number of rows to return in the response.
          required: false
          schema:
            $ref: '#/components/schemas/limit'
            default: 10
        - name: sort
          in: query
          description: Sort the results by the date and time of creation.
          required: false
          schema:
            $ref: '#/components/schemas/sortByCreatedAt'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getEnvironmentForks'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetEnvironmentForksRequestUnauthorizedError
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetEnvironmentForksRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    environmentUid:
      type: string
      format: uid
      title: environmentUid
    cursor:
      type: string
      title: cursor
    ascDesc:
      type: string
      enum:
        - asc
        - desc
      title: ascDesc
    limit:
      type: integer
      default: 10
      title: limit
    sortByCreatedAt:
      type: string
      enum:
        - createdAt
      title: sortByCreatedAt
    environmentForkInfo:
      type: object
      properties:
        forkId:
          type: string
          format: uid
          description: The forked environment's unique ID.
        forkName:
          type: string
          description: The forked environment's label.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the fork was created.
        createdBy:
          type: string
          description: The user who created the environment fork.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the fork was last updated.
      description: Information about the forked environment.
      title: environmentForkInfo
    environmentForksMeta:
      type: object
      properties:
        total:
          type: number
          format: double
          description: The total number of forked environments.
        nextCursor:
          type:
            - string
            - 'null'
          description: >-
            The pagination cursor that points to the next record in the results
            set.
      description: The response's meta information for paginated results.
      title: environmentForksMeta
    getEnvironmentForks:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/environmentForkInfo'
          description: A list of the environment's forks.
        meta:
          $ref: '#/components/schemas/environmentForksMeta'
      title: getEnvironmentForks
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetEnvironmentForksRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetEnvironmentForksRequestUnauthorizedError
    GetEnvironmentForksRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetEnvironmentForksRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "data": [
    {
      "forkId": "12345678-2fgh78uj-2ee3-8ugc-b678-7742d82e2e1f",
      "forkName": "my fork",
      "createdAt": "2023-11-16T09:18:17.000Z",
      "createdBy": "Taylor Lee",
      "updatedAt": "2023-11-16T09:18:17.000Z"
    },
    {
      "forkId": "12345678-667df1ad-2ee3-6yhn-b678-7742d82e2e1f",
      "forkName": "fork2",
      "createdAt": "2023-11-16T09:16:15.000Z",
      "createdBy": "Taylor Lee",
      "updatedAt": "2023-11-16T09:16:15.000Z"
    }
  ],
  "meta": {
    "total": 6,
    "nextCursor": null
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/environments/12345678-5daabc50-8451-43f6-922d-96b403b4f28e/forks"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/environments/12345678-5daabc50-8451-43f6-922d-96b403b4f28e/forks';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/environments/12345678-5daabc50-8451-43f6-922d-96b403b4f28e/forks"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/environments/12345678-5daabc50-8451-43f6-922d-96b403b4f28e/forks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/environments/12345678-5daabc50-8451-43f6-922d-96b403b4f28e/forks")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/environments/12345678-5daabc50-8451-43f6-922d-96b403b4f28e/forks', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/environments/12345678-5daabc50-8451-43f6-922d-96b403b4f28e/forks");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/environments/12345678-5daabc50-8451-43f6-922d-96b403b4f28e/forks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```